Page MenuHomePhabricator

Add canary checks in AbstractSync
ClosedPublic

Authored by thcipriani on Jun 2 2016, 11:09 PM.

Details

Maniphest Tasks
T136886: Create ability to deploy-to and run-checks-on canary for MediaWiki deploys
Reviewers
dduvall
mmodell
GWicke
mobrovac
bd808
demon
Group Reviewers
Release-Engineering-Team
Commits
rMSCA5a2fb67bea17: Add canary checks in AbstractSync
Patch without arc
git checkout -b D248 && curl -L https://phabricator.wikimedia.org/D248?download=true | git apply
Summary

Add a canary step where scap deploys to all api and app canaries, waits
for some length of time, and then runs the logstash_checker.py script.

Fixes T136886

Test Plan

Tested working in beta!

Diff Detail

Repository
rMSCA Scap
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

thcipriani updated this revision to Diff 682.Jun 2 2016, 11:09 PM
thcipriani retitled this revision from to Add canary checks in AbstractSync.
thcipriani updated this object.
thcipriani edited the test plan for this revision. (Show Details)
Restricted Application added a reviewer: Release-Engineering-Team. · View Herald TranscriptJun 2 2016, 11:09 PM
Restricted Application added a project: Release-Engineering-Team. · View Herald Transcript
mmodell accepted this revision.Jun 3 2016, 5:17 PM
mmodell edited edge metadata.

looks like a good start

This revision is now accepted and ready to land.Jun 3 2016, 5:17 PM
thcipriani updated this revision to Diff 797.Jul 21 2016, 7:21 PM
thcipriani edited edge metadata.

Remove placeholder functions, replace with an actual canary check

thcipriani requested a review of this revision.Jul 21 2016, 7:23 PM
thcipriani added a reviewer: bd808.
mmodell accepted this revision.Jul 22 2016, 6:26 AM
mmodell edited edge metadata.

lgtm but I haven't tested it and I haven't a clue how to properly test it

This revision is now accepted and ready to land.Jul 22 2016, 6:26 AM
thcipriani updated this revision to Diff 798.Jul 22 2016, 3:28 PM
thcipriani edited edge metadata.

Set concurrency based on number of cores, fix debian packaging

thcipriani updated this object.Jul 22 2016, 3:29 PM
thcipriani updated this revision to Diff 799.Jul 22 2016, 7:11 PM

Random bug fixes from testing in beta

thcipriani edited the test plan for this revision. (Show Details)Jul 22 2016, 7:12 PM
thcipriani added a reviewer: dduvall.
This revision was automatically updated to reflect the committed changes.
Krinkle added inline comments.
scap/main.py
168

app*